Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class AcknowledgementManager

    java.lang.Object
      org.apache.sandesha2.util.AcknowledgementManager

    public class AcknowledgementManager

extends java.lang.Object

Contains logic for managing acknowledgements.

Constructor Summary
`AcknowledgementManager()`

Method Summary
`static void` | `addAckBeanEntry(RMMsgContext ackRMMsgContext, java.lang.String sequenceId, long timeToSend, StorageManager storageManager)`
`static RMMsgContext` | `generateAckMessage(RMMsgContext referenceRMMessage, RMDBean rmdBean, java.lang.String sequenceId, StorageManager storageManager, boolean serverSide)`
`static void` | `piggybackAcksIfPresent(RMMsgContext rmMessageContext, StorageManager storageManager)` Piggybacks any available acks of the same sequence to the given application message.
`static void` | `sendAckNow(RMMsgContext ackRMMsgContext)`
`static boolean` | `verifySequenceCompletion(RangeString ackRanges, long lastMessageNo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcknowledgementManager

    public AcknowledgementManager()

Method Detail

### piggybackAcksIfPresent

    public static void piggybackAcksIfPresent(RMMsgContext rmMessageContext,
                                              StorageManager storageManager)
                                       throws SandeshaException

  Piggybacks any available acks of the same sequence to the given application message.

  Parameters:
    `applicationRMMsgContext` -
  Throws:
    `SandeshaException`

### generateAckMessage

    public static RMMsgContext generateAckMessage(RMMsgContext referenceRMMessage,
                                                  RMDBean rmdBean,
                                                  java.lang.String sequenceId,
                                                  StorageManager storageManager,
                                                  boolean serverSide)
                                           throws org.apache.axis2.AxisFault

  Parameters:
    `referenceRMMessage` -
    `sequencePropertyKey` -
    `sequenceId` -
    `storageManager` -
    `makeResponse` - Some work will be done to make the new ack message the response of the reference message.
  Returns:
  Throws:
    `org.apache.axis2.AxisFault`

### verifySequenceCompletion

    public static boolean verifySequenceCompletion(RangeString ackRanges,
                                                   long lastMessageNo)

### addAckBeanEntry

    public static void addAckBeanEntry(RMMsgContext ackRMMsgContext,
                                       java.lang.String sequenceId,
                                       long timeToSend,
                                       StorageManager storageManager)
                                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### sendAckNow

    public static void sendAckNow(RMMsgContext ackRMMsgContext)
                           throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.